package com.ruoyi.ems.service.impl;

import com.ruoyi.ems.domain.ObjTagRel;
import com.ruoyi.ems.mapper.ObjTagRelMapper;
import com.ruoyi.ems.service.IObjTagRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 对象&标签关系Service业务层处理
 *
 * @author ruoyi
 * @date 2024-08-27
 */
@Service
public class ObjTagRelServiceImpl implements IObjTagRelService {
    @Autowired
    private ObjTagRelMapper objTagRelMapper;

    @Override
    public List<ObjTagRel> selectListByType(int tagType) {
        return objTagRelMapper.selectListByType(tagType);
    }

    @Override
    public List<ObjTagRel> selectListByTagCode(int tagType, String tagCode) {
        return objTagRelMapper.selectListByTagCode(tagType, tagCode);
    }

    @Override
    public List<ObjTagRel> selectListByObjCode(int tagType, String objCode) {
        return objTagRelMapper.selectListByObjCode(tagType, objCode);
    }

    @Override
    public int insertBatch(List<ObjTagRel> list) {
        return objTagRelMapper.insertBatch(list);
    }

    @Override
    public int deleteByObjCode(int tagType, String objCode) {
        return objTagRelMapper.deleteByObjCode(tagType, objCode);
    }

    @Override
    public int deleteByTagCode(String tagCode) {
        return objTagRelMapper.deleteByTagCode(tagCode);
    }
}
